%define major		215
%define libname		%mklibname %{name}_ %{major}
%define develname	%mklibname %{name} -d

%global _vpath_srcdir source

Name:		x265
Version:	4.1
Release:	%mkrel 5
Summary:	H265/AVC encoder
License:	GPLv2
Group:		Video/Utilities
Url:		https://x265.org/
Source0:	https://bitbucket.org/multicoreware/x265_git/downloads/%{name}_%{version}.tar.gz
# From https://bitbucket.org/multicoreware/x265/issues/442/detect512-is-needed-on-all-architectures
Patch3:		enable512.patch
# originaly from debian
Patch4:		x265-armv7hl.patch
Patch6:		x265-static-build.patch
BuildRequires:	yasm
%ifarch %ix86 x86_64
BuildRequires:	nasm
%endif
BuildRequires:	cmake
BuildRequires:	git-core
%ifnarch %{arm}
BuildRequires:	pkgconfig(numa)
%endif

%description
x265 is an open-source project and free application library for encoding
video streams into the H.265/High Efficiency Video Coding (HEVC) format.

This package is in tainted repository as the video encoder may be covered
by software patents.

%package -n	%{libname}
Summary:	Shared library of x265
Group:		System/Libraries

%description -n	%{libname}
x265 dynamic libraries.

%package -n	%{develname}
Summary:	H265/AVC encoding library headers
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Development files for %{name}.

%prep
%autosetup -p1 -n %{name}_%{version}

%build
%cmake \
  -DLIB_INSTALL_DIR=%{_lib} \
  -DENABLE_ASSEMBLY=ON \
  -DENABLE_PIC=ON

%cmake_build

%install
%cmake_install

%files
%license COPYING
%{_bindir}/%{name}

%files -n %{libname}
%license COPYING
%{_libdir}/libx265.so.%{major}

%files -n %{develname}
%{_includedir}/*.h
%{_libdir}/libx265.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Thu Jul 03 2025 umeabot <umeabot> 4.1-5.mga10
+ Revision: 2244384
- Mageia 10 Mass Rebuild

* Wed Dec 11 2024 wally <wally> 4.1-4.mga10.tainted
+ Revision: 2123584
- redo debian patch to fix ARM detection and disable NEON on armv7hl

* Wed Dec 11 2024 daviddavid <daviddavid> 4.1-3.mga10.tainted
+ Revision: 2123558
- rebuild for all arches

* Wed Dec 11 2024 daviddavid <daviddavid> 4.1-2.2.mga10.tainted
+ Revision: 2123554
- disable assembly on arm
- try to fix arm build with a gentoo patch

* Wed Dec 11 2024 daviddavid <daviddavid> 4.1-2.mga10.tainted
+ Revision: 2123546
- fix arm build with debian patch

* Wed Dec 11 2024 daviddavid <daviddavid> 4.1-1.mga10.tainted
+ Revision: 2123539
- new version: 4.1
- now libmajor is 215

* Fri Apr 26 2024 wally <wally> 3.6-3.mga10.tainted
+ Revision: 2061245
- really disable NEON on armv7hl

* Fri Apr 26 2024 wally <wally> 3.6-2.mga10.tainted
+ Revision: 2061240
- fix build on arm and disable NEON on armv7hl even though it's available on build machines
- disable static build

* Sun Apr 14 2024 daviddavid <daviddavid> 3.6-1.mga10.tainted
+ Revision: 2057203
- new version: 3.6
- now libmajor is 209

* Thu Feb 09 2023 ghibo <ghibo> 3.4-3.mga9.tainted
+ Revision: 1939633
- Rebuild for aging

* Thu Apr 14 2022 umeabot <umeabot> 3.4-2.mga9.tainted
+ Revision: 1849728
- Mageia 9 Mass Rebuild

* Sun Jul 12 2020 zezinho <zezinho> 3.4-1.mga8.tainted
+ Revision: 1605335
- new version 3.4

* Mon May 25 2020 tv <tv> 3.3-1.mga8.tainted
+ Revision: 1587531
- 3.3 (major is now 188)

* Wed Mar 11 2020 daviddavid <daviddavid> 3.2.1-5.mga8.tainted
+ Revision: 1555441
- recompile with -fPIC also on arm

* Wed Mar 11 2020 daviddavid <daviddavid> 3.2.1-4.mga8.tainted
+ Revision: 1555437
- rebuild for arm

* Fri Feb 21 2020 umeabot <umeabot> 3.2.1-3.mga8.tainted
+ Revision: 1548896
- Mageia 8 Mass Rebuild

* Fri Dec 27 2019 wally <wally> 3.2.1-2.mga8.tainted
+ Revision: 1470199
- build with new cmake macros

* Mon Dec 16 2019 zezinho <zezinho> 3.2.1-1.mga8.tainted
+ Revision: 1468324
- new version

* Wed Oct 16 2019 zezinho <zezinho> 3.2-1.mga8.tainted
+ Revision: 1454086
- new version 3.2

* Sat Aug 10 2019 zezinho <zezinho> 3.1.1-1.mga8.tainted
+ Revision: 1428544
- new version 3.1.1

* Tue Apr 23 2019 kekepower <kekepower> 3.0-2.mga7.nonfree
+ Revision: 1395032
- Fix libdir path in x265.pc

* Mon Feb 04 2019 zezinho <zezinho> 3.0-1.mga7.tainted
+ Revision: 1363049
- new version 3.0 build 169

* Fri Oct 12 2018 wally <wally> 2.9-1.mga7.tainted
+ Revision: 1319832
- add patch to use detect512() function on all arches
+ zezinho <zezinho>
- version 2.9 - remove ppc64le patch

* Mon Sep 24 2018 wally <wally> 2.8-5.mga7.tainted
+ Revision: 1303602
- disable ASM assebly also on aarch64
- build with nasm on x86_64
- build with nasm on ix86
- add Arch Linux patch to fix build on arm (disable all ARM assembly)

* Mon Sep 24 2018 wally <wally> 2.8-3.mga7.tainted
+ Revision: 1303534
- add updtream patch to fix build on aarch64

* Fri Sep 21 2018 umeabot <umeabot> 2.8-2.mga7.tainted
+ Revision: 1292157
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 zezinho <zezinho> 2.8-1.mga7.tainted
+ Revision: 1234361
- new version 2.8

* Mon Apr 30 2018 ovitters <ovitters> 2.7-2.mga7.tainted
+ Revision: 1224028
- rebuild for missing signature

* Fri Apr 27 2018 zezinho <zezinho> 2.7-1.mga7.tainted
+ Revision: 1222849
- new version 2.7

* Tue Dec 12 2017 zezinho <zezinho> 2.6-1.mga7.tainted
+ Revision: 1182396
- new version 2.6

* Tue Nov 07 2017 zezinho <zezinho> 2.5-1.mga7.tainted
+ Revision: 1176351
- new version

* Sat Dec 31 2016 luigiwalser <luigiwalser> 2.2-1.mga6.tainted
+ Revision: 1078929
- 2.2
- library major is now 102

* Fri Nov 11 2016 luigiwalser <luigiwalser> 2.1-1.mga6
+ Revision: 1066618
- 2.1
- library major is now 95

* Sat Sep 10 2016 luigiwalser <luigiwalser> 2.0-1.mga6.tainted
+ Revision: 1051190
- 2.0
- library major is now 87

* Mon Feb 08 2016 zezinho <zezinho> 1.9-1.mga6.tainted
+ Revision: 950296
- fix libversion
- new version 1.9

* Thu Oct 08 2015 zezinho <zezinho> 1.8-2.mga6.tainted
+ Revision: 887880
- move so file to devel
- imported package x265


* Sun Mar 30 2014 Charles A Edwards <eslrahc@mandriva.org> 20140330.1.mga5
- import x265
 
